Subject: Re: [Diffserv] Model - queues (second draft)

From: Dan Grossman <[email-masked]>
Date: Thu, 06 Jan 2000 11:28:23 -0500

> 1) Although you mention that a FIFO is identified by its depth,
> threshold,... But in your FIFO examples there is no Depth parameter. So I
> suggest adding it to the example.
The depth is a variable, not a configuration parameter.  I'll add clarifying 
text.
> 
> 2) You mention that a FIFO can have more than one input. I think if there
> are more that one inputs, then there should be another element (i.e.,
> scheduler elements such as FCFS or MUX) before the FIFO. So I suggest
> changing the text to "A FIFO has one input and one output, but if more that
> one input are required for a FIFO they have to pass through a scheduler
> element".
> 
I thought about this and don't agree.  It would be common, for example to have 
more than one classifier feeding the same queue.  If the flow of packets is 
assumed to be serial, there is no scheduler element required.

> 3) I think your "priority" part requires some work. I will try to work on
> it.
I've incorporated Andrew's text. Hope that works for you.

Will send the updated text to the list shortly.

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: Grenville Armitage <[email-masked]>
Date: Thu, 06 Jan 2000 09:55:35 -0800

Dan Grossman wrote:
	[..]
> assumed to be serial, there is no scheduler element required.

Dan,  I think I agree with Shahram's observation here. If we assume
the packets arrive serially from the outputs of preceding classifiers
then the merging (aka 'multiple inputs') isn't really an attribute
of the queue/buffering stage - its a simple 'OR' function of
multiple streams of packets, which might happen anywhere prior to
the FIFO.  At the very least, add text clarifying
the assumption that the multiple inputs are in fact being fed
by synchronized packet streams (i.e. synchronized to have
non-overlapping arrival times at the FIFO input{s} )

cheers,
gja